=== debian/control ===
Source: ros-iron-moveit-setup-controllers
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-clang-format <!nocheck>, ros-iron-ament-cmake, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-cmake-lint-cmake <!nocheck>, ros-iron-ament-cmake-xmllint <!nocheck>, ros-iron-ament-index-cpp, ros-iron-ament-lint-auto <!nocheck>, ros-iron-moveit-configs-utils <!nocheck>, ros-iron-moveit-resources-fanuc-moveit-config <!nocheck>, ros-iron-moveit-resources-panda-moveit-config <!nocheck>, ros-iron-moveit-setup-framework, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-moveit-setup-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ament-index-cpp, ros-iron-moveit-setup-framework, ros-iron-pluginlib, ros-iron-rclcpp, ros-iron-ros-workspace
Description: MoveIt Setup Steps for ROS 2 Control
